*** Settings ***
Library     OperatingSystem
Library     String
Library     Collections


*** Variables ***
${success_return_code}    0

*** Keywords ***
Create Vim Cli
    [Documentation]   Create a new vim account

    [Arguments]  ${vim_name}     ${account_type}     ${auth_url}     ${user}     ${password}     ${tenant}       ${description}
    ${rc}   ${stdout}=      Run and Return RC and Output            osm vim-create --name ${vim_name} --user ${user} --password ${password} --auth_url ${auth_url} --tenant ${tenant} --account_type ${account_type} --description ${description}
    log  ${stdout}
    Should Be Equal As Integers         ${rc}    ${success_return_code}


Get Vim List Cli
    [Documentation]  Get a vim account list

    ${rc}   ${stdout}=      Run and Return RC and Output            osm vim-list
    log     ${stdout}
    Log To Console  ${stdout}
    Should Be Equal As Integers         ${rc}    ${success_return_code}


Delete Vim Cli
    [Documentation]  delete vim account details

    [Arguments]  ${vim_name} 
    ${rc}   ${stdout}=      Run and Return RC and Output            osm vim-delete ${vim_name}
    log  ${stdout}
    Should Be Equal As Integers         ${rc}    ${success_return_code}



